# Guitar
### A Cross-Platform String Library Written in Swift.

[![CocoaPods](https://img.shields.io/cocoapods/v/Guitar.svg)](https://cocoapods.org/pods/Guitar)  [![Carthage Compatible](https://img.shields.io/badge/Carthage-compatible-4BC51D.svg?style=flat)](https://github.com/Carthage/Carthage) [![SwiftPM Compatible](https://img.shields.io/badge/SwiftPM-Compatible-brightgreen.svg)](https://swift.org/package-manager/) [![Platform](https://img.shields.io/cocoapods/p/Alamofire.svg?style=flat)](http://cocoadocs.org/docsets/Guitar) [![CocoaPods](https://img.shields.io/cocoapods/dt/Guitarn.svg)](https://cocoapods.org/pods/Guitar) [![CocoaPods](https://img.shields.io/cocoapods/dm/Guitar.svg)](https://cocoapods.org/pods/Guitar)

## Project Status

This a project is currently a work in progress. Contributions by the community are highly encouraged.

## Documentation
[Jazzy](http://github.com/realm/jazzy/)-generated documentation can be found at http://www.sabintsev.com/Guitar/

### Roadmap to 1.0.0 (Alphabetical Order)
- [x] Carthage Support
- [x] CocoaPods Support
- [x] Continuous Integration (Buddy Build)
- [x] Function Documentation
- [ ] HTML String Manipulation Support
- [x] Jazzy Docs
- [ ] Performance Tests
- [ ] Regex Support (Pure Swift Implementation)
- [ ] Stable API
- [x] Swift Package Manager
- [x] SwiftLint Integration
- [x] Unit Tests

## Installation Instructions
### CocoaPods
```ruby
pod 'Guitar'
```
### Carthage
``` swift
github "ArtSabintsev/Guitar"
```
### Swift Package Manager
```swift
.Package(url: "https://github.com/ArtSabintsev/Guitar.git")
```

## Implemented Functions
- **Boolean Operations**
  - isAlpha()
  - isAlphanumeric()
  - isCapitalized()
  - isDecapitalized()
  - isLowercased()
  - isNumeric()
  - isUppercased()
- **Case Operations**
  - camelCased()
  - decapitalized()
  - kebabCased()
  - pascalCased()
  - slugCased()
  - snakeCased()
  - swapCased()
- **Character Operations**
 - first()
 - last()
 - length()
 - reverse()
- **Padding Operations**
 - pad()
 - padLeft()
 - padRight()
- **Trimming Operations**
 - prefixed()
 - suffixed()
 - trimLeft()
 - trimRight()
 - truncated()

## Inspiration
This project was inspired by [Voca](https://vocajs.com/).

## Created and maintained by
[Arthur Ariel Sabintsev](http://www.sabintsev.com/)
